Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnPositions.PRIMARY_KEYS

Enclosing interface:
  JDBCColumnPositions

    public static interface JDBCColumnPositions.PRIMARY_KEYS

This class contains constants representing column positions on ResultSet returned by getColumns method on DatabaseMetaData. The class has constants for columns whose values are to be hardcoded in MMDatabaseMetaData object. `MAX_COLUMNS` is the number of columns to be read from server's results from getElements method on `Metadata object`. `JAVA_CLASS` is the column position for element data type on server's Results object.

Field Summary
`static int` | `COLUMN_NAME`
`static int` | `KEY_SEQ`
`static int` | `MAX_COLUMNS` Number of columns to be read from results returned by getPrimaryKeys.
`static int` | `PK_NAME`
`static int` | `TABLE_CAT` Position of column that contains catalog name of the primaryTable.
`static int` | `TABLE_NAME`
`static int` | `TABLE_SCHEM`

Field Detail

### MAX_COLUMNS

    static final int MAX_COLUMNS

  Number of columns to be read from results returned by getPrimaryKeys.

  See Also:
    Constant Field Values

### TABLE_CAT

    static final int TABLE_CAT

  Position of column that contains catalog name of the primaryTable.

  See Also:
    Constant Field Values

### TABLE_SCHEM

    static final int TABLE_SCHEM

See Also:
  Constant Field Values

### TABLE_NAME

    static final int TABLE_NAME

See Also:
  Constant Field Values

### COLUMN_NAME

    static final int COLUMN_NAME

See Also:
  Constant Field Values

### KEY_SEQ

    static final int KEY_SEQ

See Also:
  Constant Field Values

### PK_NAME

    static final int PK_NAME

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.